
%global python3_pkgversion 3.11
%global pypi_name keyring
%global pypi_version 25.6.0


Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Store and access your passwords safely.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/jaraco/keyring
Source:         %{pypi_source keyring}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools >= 64
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-jaraco-functools
BuildRequires:  python%{python3_pkgversion}-jaraco-classes
BuildRequires:  python%{python3_pkgversion}-jaraco-context
BuildRequires:  python%{python3_pkgversion}-importlib-metadata >= 4.11.4
BuildRequires:  python%{python3_pkgversion}-setuptools_scm >= 3.4.1
BuildRequires:  pyproject-rpm-macros



# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
The Python keyring library provides an easy way to access the system keyring service from python.
It can be used in any application that needs safe password storage.}

%description %_description

%package -n     python%{python3_pkgversion}-keyring
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-secretstorage >= 3.2
Requires:       python%{python3_pkgversion}-jeepney >= 0.4.2
Requires:       python%{python3_pkgversion}-importlib-metadata >= 4.11.4
Requires:       python%{python3_pkgversion}-jaraco-functools
Requires:       python%{python3_pkgversion}-jaraco-classes
Requires:       python%{python3_pkgversion}-jaraco-context

%description -n python%{python3_pkgversion}-keyring %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras


%prep
%autosetup -p1 -n keyring-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
# START RENAMING OF BINARIES 1
%if "%{python3_pkgversion}" != "3"
mv $RPM_BUILD_ROOT/usr/bin/keyring $RPM_BUILD_ROOT/usr/bin/keyring%{python3_pkgversion}
%endif
# END RENAMING OF BINARIES 1

%pyproject_save_files '*' +auto
# START RENAMING OF BINARIES 2
%if "%{python3_pkgversion}" != "3"
sed -i "s|/usr/bin/keyring|/usr/bin/keyring%{python3_pkgversion}|g" %{pyproject_files}
%endif
# END RENAMING OF BINARIES 2


%check
%{pytest} tests/


%files -n python%{python3_pkgversion}-keyring -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}.dist-info


%changelog
* Thu Feb 20 2025 Carlos Heiras <carlos.heiras@oracle.com> - 25.6.0-1
- Initial release
